libxklavier-5.4

Introduction to libxklavier

The libxklavier package contains a utility library for X keyboard.

This package is known to build and work properly using an LFS-8.1 platform.

Package Information

libxklavier Dependencies

Required

GLib-2.54.0, ISO Codes-3.76, libxml2-2.9.6 and Xorg Libraries

Recommended

Optional

GTK-Doc-1.26 and Vala-0.38.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libxklavier

Installation of libxklavier

Install libxklavier by running the following commands:

./configure --prefix=/usr --disable-static &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

--disable-static: This switch prevents installation of static versions of the libraries.

--enable-gtk-doc: This parameter is normally used if GTK-Doc is installed and you wish to rebuild and install the API documentation. It is broken for this package due to the use of a long deprecated gtk-doc program that is no longer available.

Contents

Installed Programs: None
Installed Library: libxklavier.so
Installed Directories: /usr/include/libxklavier and /usr/share/gtk-doc/html/libxklavier

Short Descriptions

libxklavier.so

contains XKB utility functions.

Last updated on 2017-09-01 13:13:24 -0500